summaryrefslogtreecommitdiffhomepage
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 9e6da0a..04357c4 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -12,6 +12,12 @@ FILE=mixlib
DIE=0
+echo "Generating ChangeLog..."
+touch ChangeLog
+(git log --summary --stat > ChangeLog) || {
+ echo "Error generating ChangeLog. The file won't be up to date."
+}
+
grep "^AM_GNU_GETTEXT" $srcdir/configure.ac >/dev/null && {
(gettext --version) < /dev/null > /dev/null 2>&1 || {
echo